Overview

X-NET - javax.net, javax.net.ssl

Status

Check the component_development_status page for the status of other ClassLibrary modules.

J2SE 1.4.2

The current codes cover J2SE 1.4.2 API

Java 5.0

Current code is mostly compliant with J2SE 1.5 specification. It should be updated to reflect new Java 5.0 enhancements (e.g. generics, enums) when harmony has a 1.5 compatible VM

Below are some details about what's available, missing and in progress

Public API

This component contains implementation of public API, internal code and unit tests. All public 1.5 classes are implemented and tested...

The code contains a number of TODO's such as:

Providers

There is no JSSE providers implemented in Harmony.

X-NET (last edited 2009-09-20 21:55:32 by localhost)